VismaBouwsoftAPICalls.v1_GET_Earthworksdetail Method
v1_GET_Earthworksdetail() as String

This API call is used to get fields of a(n) Earthworksdetail(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /Earthworksdetail/
or
API Path: /Earthworksdetail/{id}
or
API Path: /Earthworksdetail/FieldInfo/

You can make this API call:
* without the key field id to get a list of Earthworksdetail
* with the key field id as the path parameter (the specific id of the Earthworksdetail you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
earthworks_id 1 tpLong 0 No No No
product_id 1 tpLong 0 No Yes No
product_nr 2 tpString 100 No No No
product_description 2 tpString 250 No No No
linenr 1 tpLong 0 No No No
quantity 4 tpDouble 0 No Yes No
unit 2 tpString 50 No Yes No
unit_localized 2 tpString 50 No No No

/Earthworksdetail/

API Path: /Earthworksdetail/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Earthworksdetail

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: ktjfWxfjDkzSfjIUPfzRqbflfOIlfGtkfDkkzkDtObIGfVtPjP

Query Parameters :
ParameterName: columns, ParameterValue:
ParameterName: filter, ParameterValue: earthworks_id eq 26

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–2/3”, “Records”: [
  {
    "id": 60,
    "earthworks_id": 26,
    "product_id": 2,
    "product_nr": "01 Mu 01",
    "product_description": "Levis Muur voor baksteen, behangpapier, ruwe beton, cellenbeton, betonblokken, cementbezetting, gipskartonplaat, glasvezel, pleisterwerk",
    "linenr": 1,
    "quantity": 2.5,
    "unit": "m2",
    "unit_localized": "m²"
  },
  {
    "id": 61,
    "earthworks_id": 26,
    "product_id": 7,
    "product_nr": "249",
    "product_description": "HBS VITE PER LEGNO 8X400",
    "linenr": 2,
    "quantity": 2,
    "unit": "m3",
    "unit_localized": "m³"
  }
,

]
}

https://ra.bouwsoft.be/api/v1/Earthworksdetail

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OtlfWxftVPzSfPDlIfzRqPkOfPmrfGrlfIVkzjtOfflGbVAUAb

Query Parameters :
ParameterName: columns, ParameterValue:
ParameterName: filter, ParameterValue:
ParameterName: limit, ParameterValue: 5
ParameterName: nextid, ParameterValue:

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/47”, “Records”: [
  {
    "id": 1,
    "earthworks_id": 2,
    "product_id": 1515061,
    "product_nr": "lux005",
    "product_description": "test lux 05",
    "linenr": 2,
    "quantity": 20.199999999999999,
    "unit": "m3",
    "unit_localized": "m³"
  },
  {
    "id": 3,
    "earthworks_id": 8,
    "product_id": 1,
    "product_nr": "01 Pl 01",
    "product_description": "Levis Plafond voor baksteen, ruwe beton, cementbezetting, gipskartonplaat, pleisterwerk",
    "linenr": 1,
    "quantity": 50,
    "unit": "m³",
    "unit_localized": "m³"
  }
,

]
}

/Earthworksdetail/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Earthworksdetail/65

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: IjtfWxfUUfzSflVbPfzRqllPfODtfGlkflbkzPbADIUGUGjDlm

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 65,
    "earthworks_id": 110,
    "product_id": 14,
    "product_nr": "CE 002",
    "product_description": "Untitled (Circuit 091113), 2009 (110 x 130 cm)",
    "linenr": 1,
    "quantity": 2.7,
    "unit": "m3",
    "unit_localized": "m³"
  }
]
}

https://ra.bouwsoft.be/api/v1/Earthworksdetail/65

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: IjtfWxfUUfzSflVbPfzRqllPfODtfGlkflbkzPbADIUGUGjDlm

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 65,
    "earthworks_id": 110,
    "product_id": 14,
    "product_nr": "CE 002",
    "product_description": "Untitled (Circuit 091113), 2009 (110 x 130 cm)",
    "linenr": 1,
    "quantity": 2.7,
    "unit": "m2",
    "unit_localized": "m²"
  }
]
}

/Earthworksdetail/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Earthworksdetail/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "earthworks_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "product_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  }
,

]